Get Started
Set up your account, generate API keys, check balances, find instruments, and submit your first order.
Welcome to Clear Street’s Trading API. This guide walks you through everything you need to start trading — from setting up your account and placing your first order to understanding how to leverage our AI assistant, Omni and everything in between.
All API requests use the base URL https://api.clearstreet.com for your environment and require authentication via a Bearer token in the Authorization header Authorization: Bearer <api_key>.” . Responses follow a consistent format described in the API Fundamentals guide.
We also provide SDKs here in multiple programming languages to help you integrate quickly. Our SDKs simplify authentication, requests, responses, and error handling, so you can start building with less boilerplate.
Account Opening
Section titled “Account Opening”Account opening is handled through the Clear Street web or mobile application, if you have not signed up go here to get started! Once you have signed up and your account is active you’ll receive an account ID that you’ll use in many API calls.
If your account is active when you call the accounts endpoint GET /v1/accounts and it will return a status of ACTIVE. If your account doesn’t have an account id assigned there will be nothing returned for data.
Account Funding
Section titled “Account Funding”Funding is handled through the Clear Street web or mobile application. For web app go to Account icon in the left navigation, and from there select Funding. For mobile select Home icon on the top left and then select Funding.
On this page ****you will be able to:
- Manage and review ACH bank relationships
- Manage and review Wire Instructions
- Initiate deposits and withdrawals
- View available balance
- View transaction history and status
Timing
Section titled “Timing”ACH/Wire deposits
- Deposit transfer requests submitted before 3:00 PM EST will be processed the same day.
- Requests submitted after 3:00 PM EST will be processed the next business day.
Withdrawals
- Withdrawal transfer requests submitted before 3:00 PM EST will be processed the same day.
- Requests submitted after 3:00 PM EST will be processed the next business day.
- There is always a 5 business day hold on ACH deposits to be withdrawn.
API Keys
Section titled “API Keys”The ability to manage and view API keys will be done from the Clear Street web application. In order to do so, go to Account icon in the left navigation, and from there select API keys. On this page ****you will be able to:
- Generate and name new API keys
- View the name, status, and expiration date of your API keys
- Revoke one or all of your active API keys
Note you will use these API keys to authenticate every request in the header with authorization type Bearer token:
Authorization: Bearer <api_key>Best practices for API keys:
- Treat your API key like a password. Never share it or commit it to source control.
- If a key is compromised, revoke it immediately through the web app.
Check Your Balance
Section titled “Check Your Balance”Now that you have gotten your API keys and authenticated yourself. The first thing you should do is check if your funds have landed. This can be done through the balances endpoint GET /v1/accounts/{account_id}/balances
Below are some key fields that you should familiarize yourself with. A more detailed field reference is available in Balances.
| Field | Description |
|---|---|
trade_cash | Trade-date cash balance. |
buying_power | Total amount available to open new positions |
equity | Net account value (cash + longs - shorts) |
long_market_value | Current market value of all long positions |
short_market_value | Current market value of all short positions |
open_buy_order_notional_value | Notional value of open buy orders |
open_sell_order_notional_value | Notional value of open sell orders |
maintenance_margin_requirement | Minimum equity required to maintain current positions |
day_trade_buying_power | Buying power available for intraday round-trips |
pattern_day_trader | Whether the account is classified as a PDT |
day_trade_count | Number of day trades in the current rolling 5-day window |
Check Instruments on Platform
Section titled “Check Instruments on Platform”You’re one step closer to trading but before you can do that you need to know what instruments can be traded. Below are the instrument endpoints you should familiarize yourself with. Additional details are available in Instruments.
| Name | Method | Path | Description |
|---|---|---|---|
| Instruments by ID | GET | /v1/instruments/{instrument_id} | Retrieves detailed information for a specific instrument. |
| List Instruments | GET | /v1/instruments | Retrieve a list of instruments. Note this will not return options |
| Search Instruments | GET | /v1/instruments/search | Search through instruments |
| Option Contracts | GET | /v1/instruments/options/contracts | Lists options contracts. Returns options contracts for a given underlier with options-specific metadata. Exactly one underlier identifier must be provided. |
Submit Your First Order
Section titled “Submit Your First Order”Currently, the Trading API supports long and short trading of stocks and options. Support for additional asset classes is planned for future releases. You can use the orders endpoint POST /v1/accounts/{account_id}/orders to submit orders along with the relevant parameters in the request body.
Here’s a simple market buy for 10 shares of AAPL:
[ { "id": "my-first-order-001", "symbol": "AAPL", "instrument_type": "COMMON_STOCK", "side": "BUY", "quantity": "10", "order_type": "MARKET", "time_in_force": "DAY" }]Additional details about placing orders are available in Placing Orders.
Note in order to trade options you will need to go through options suitability questions on web or mobile. You will be prompted to fill this out the first time you try to trade an options contract.
See Positions and Portfolio History
Section titled “See Positions and Portfolio History”After your order fills, check your positions using positions endpoint GET /v1/accounts/{account_id}/positions
You can filter positions by symbol, sort by various fields, and paginate through large portfolios.
For historical portfolio performance use the portfolio history endpoint GET /v1/accounts/{account_id}/portfolio-history This returns daily snapshots of your equity, including open/close values and daily P&L.
Additional information on your trading metrics is available in Your Trading Account Metrics.